/* 
 Owner: Florian Albrecht <florian@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXAppKit, BXReadMeViewer

 Abstract: <#abstract#>

 Related: <#related#>

 Documentation: <#link to documentation#>

 */


#if MAC_OS_X_VERSION_MAX_ALLOWED <= MAC_OS_X_VERSION_10_4
enum {
    NSSegmentStyleAutomatic = 0, //Appearance is chosen depending on the type of window and the control's position inside it
    NSSegmentStyleRounded = 1,
    NSSegmentStyleTexturedRounded = 2,
    NSSegmentStyleRoundRect = 3,
    NSSegmentStyleTexturedSquare = 4,
    NSSegmentStyleCapsule = 5,
    NSSegmentStyleSmallSquare = 6
};
#endif

/*!	@class AOSegmentedControl
 This class works around a bug in the Unified toolbbar look that breaks that display of NSSegmentedControls
 */

@interface AOSegmentedControl : NSSegmentedControl
@end

#if MAC_OS_X_VERSION_MAX_ALLOWED <= MAC_OS_X_VERSION_10_4
@interface NSSegmentedCell (PRIVATE)
- (void)setSegmentStyle:(NSInteger)style;
- (void)_setSegmentedCellStyle:(NSInteger)style;
@end
#endif
