/******************************************************************************************************

	BXAlert.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grnwald			
					Germany					
	
					Copyright  2006 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Subclass of NSAlert that adds a "Don't show again" checkbox. Simply set a checkbox 
	// identifier on the alert before calling runModal, to add a checkbox...


	
/******************************************************************************************************
	CONSTANTS
 ******************************************************************************************************/

	#pragma mark CONSTANTS

	extern NSString* BXAlertDelayedAlertHasClosed;
	
	
	
/******************************************************************************************************
	BXAlert
 ******************************************************************************************************/

	#pragma mark

	@interface BXAlert : NSAlert
	{
		NSString* _identifier;
	}

	// Structor...
	
	+ (BXAlert*) alertWithMessageText:(NSString*)message 
				 defaultButton:(NSString*)defaultButton 
				 alternateButton:(NSString*)alternateButton 
				 otherButton:(NSString*)otherButton 
				 informativeTextWithFormat:(NSString*)format, ...;

	// Add a checkbox...
	
	- (void) setIdentifier:(NSString*)inIdentifier;
	- (NSString*) identifier;
	
	// Restore prefs to virgin state...
	
	+ (void) removePrefsKeyForIdentifier:(NSString*)inIdentifier;
	+ (void) removeAllPrefsKeys;
	
	// Delayed alert. The delegate reply selector method should have the signature:
	// - (void) alertWasClosed:(BXAlert*)inAlert withButton:(NSInteger)inButton;
	
	- (void) runModalWithDelay:(double)inDelay replyTarget:(id)inTarget replySelector:(SEL)inSelector;
	+ (BOOL) isDelayedAlertPending;
	
	@end



/******************************************************************************************************/
