/******************************************************************************************************

	BXColorWheel.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grünwald			
					Germany					
	
					Copyright © 2007 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Implements a color wheel for setting white balance...


	
/******************************************************************************************************
	CONSTANTS
 ******************************************************************************************************/

	#pragma mark CONSTANTS
	
	enum BXColorWheelMouseOperation
	{
		kColorWheelOperationNone,
		kColorWheelOperationDrag
	};
	
	
	
	#pragma mark
	
/******************************************************************************************************
	BXColorWheel
 ******************************************************************************************************/

	@interface BXColorWheel : NSView
	{
		// Properties...
		
		BOOL _enabled;
		double _whiteBalance[3];
		BOOL _multipleValues[3];
		BOOL _noValue[3];
		
		// Datafields...
		
		NSImage* _colorWheel;
		NSColor* _frameColor[2];
		NSColor* _knobColor[2];
		NSShadow* _dropShadow;
		NSMutableDictionary* _bindingInfo;

		double _radius;
		NSRect _wheelFrame;
		NSPoint _knobPoint;
		NSPoint _mouseDownPoint;
		NSInteger _mouseOperation;
		NSPoint _knobAtMouseDown;
	}
	
	// Accessors...
	
	- (void) setEnabled:(BOOL)inEnabled;
	- (BOOL) enabled;

	- (void) setRedFactor:(double)inRedFactor;
	- (double) redFactor;

	- (void) setGreenFactor:(double)inGreenFactor;
	- (double) greenFactor;

	- (void) setBlueFactor:(double)inBlueFactor;
	- (double) blueFactor;

	@end



/******************************************************************************************************/
