/*
 *  BXContactSheetDataSource.h
 *  BXAppKit
 *
 *  Created by Michael Ehrmann on 09.09.04.
 *  Copyright 2004 Boinx Software. All rights reserved.
 *
 */

/*!
@protocol    BXContactSheetDataSource
@abstract    Datasource for BXContactSheetView
@discussion  This protocoll must be fully implemented to provide some data to an BXContactSheetView.
*/
@protocol BXContactSheetDataSource

/*!
@method     thumbnailImageCount
 @abstract   Returns the count of thumbnails to be displayed.
 */
- (NSUInteger)thumbnailImageCount;

	/*!
    @method     thumbnailImageAtIndex:
	@abstract   Returns an NSImage from a thumbnaillist.
	*/
- (NSImage*)thumbnailImageAtIndex:(NSUInteger)thumbnailIndex;

	/*!
	@method     thumbnailNameAtIndex:
	@abstract   Returns the name of the image at the index.
	*/
- (NSString*)thumbnailNameAtIndex:(NSUInteger)thumbnailIndex;

@end
