//**********************************************************************************************************************
//
//  BXGradientTableHeaderCell.h
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2009-2010 by IMAGINE GbR. All rights reserved.
//	Abstract:	Custom header cell for table view that draws a gradient.
//
//**********************************************************************************************************************


#if MAC_OS_X_VERSION_MIN_REQUIRED >= MAC_OS_X_VERSION_10_5


//----------------------------------------------------------------------------------------------------------------------


@interface BXGradientTableHeaderCell : NSTableHeaderCell
{
	NSTableView* _tableView;
	NSGradient *_normalGradient;
	NSGradient *_pushedGradient;
	NSColor* _dividerColor;
}

@property (assign) NSTableView* tableView;
@property (retain) NSGradient *normalGradient;
@property (retain) NSGradient *pushedGradient;
@property (retain) NSColor* dividerColor;

+ (void) setHeaderCellsForTableView:(NSTableView *)inTableView;
- (void) initThemeForView:(NSView *)inView;
	
@end


//----------------------------------------------------------------------------------------------------------------------


@interface BXGradientTableCornerView : NSView
{
	BXGradientTableHeaderCell* _cell;
}

+ (BXGradientTableCornerView*) cornerView;
- (Class) cellClass;
@property (retain) BXGradientTableHeaderCell* cell;

@end


//----------------------------------------------------------------------------------------------------------------------


#endif
