/*!
 
 Owner: Florian Albrecht <florian@boinx.com>
 Company: Boinx Software Ltd., Germany
 
 Abstract: Provides a (container) view that draws a gradient in its background. Current implementation is based on CTGradient, but should eventually be transitioned to NSGradient on Leopard and later.
 
 Related: CTGradient
 
 */


@class CTGradient;


@interface BXGradientView : NSView
{

	CTGradient *_gradient;
	CGFloat _angle;
	BOOL  _isRadial;

	NSColor *_startingColor;
	NSColor *_endingColor;
}


- (void)setGradientWithBeginningColor:(NSColor*)beginColor endingColor:(NSColor*)endColor;

#pragma mark -
#pragma mark accessors

- (CTGradient *) gradient;
- (void)setGradient:(CTGradient*)newGradient;

- (CGFloat)angle;
- (void)setAngle:(CGFloat)newAngle;

- (BOOL)radial;
- (void)setRadial:(BOOL)newRadial;

- (NSColor *) startingColor;
- (void) setStartingColor: (NSColor *) newStartingColor;

- (NSColor *) endingColor;
- (void) setEndingColor: (NSColor *) newEndingColor;

@end
