/*

 Owner:			Peter Baumgartner <peter@boinx.com>
 Company:		IMAGINE GbR, Germany

 Abstract:		This view displays an iTunes like LCD display. Please note that it only displays 
				the LCD background. Any content must be drawn by subviews or a custom subclass.

 Documentation: Not available yet

*/


@class CTGradient;

@interface BXLCDView : NSView
{
	double _cornerRadius;
	NSBezierPath *_bevelPath;
	NSBezierPath *_framePath;
	NSBezierPath *_shadowPath;
	CTGradient *_bevelGradient;
	CTGradient *_backgroundGradient;
	NSShadow *_shadow;
	NSColor *_frameColor;
	NSColor *_highlightColor;
	BOOL _highlighted;

	CGLayerRef _normalLayer;
	CGLayerRef _highlightLayer;
}

// Configure the look of the LCD display...

- (void) setBackgroundGradient:(CTGradient *)inGradient;
- (CTGradient *) backgroundGradient;

- (void) setBevelGradient:(CTGradient *)inGradient;
- (CTGradient *) bevelGradient;

- (void) setFrameColor:(NSColor *)inColor;
- (NSColor *) frameColor;

- (void) setShadow:(NSShadow *)inShadow;
- (NSShadow *) shadow;

- (void) setCornerRadius:(double)inRadius;
- (double) cornerRadius;

// Flashes the display with the highlight color...

- (void) setHighlightColor:(NSColor *)inColor;
- (NSColor *) highlightColor;

- (void) setHighlighted:(BOOL)inState;
- (BOOL) highlighted;

@end
