//
//  BXPolishedMetalWindow.h
//  HighDynamicLab
//
//  Created by Michael Ehrmann on 15.01.06.
//  Copyright 2006 Boinx Software. All rights reserved.
//

// #import <Cocoa/Cocoa.h> //Imported in PrefixHeader

#define GRADIENT_FIRST_Y @"first Y"
#define GRADIENT_FIRST_FROM_TOP @"first from top"
#define GRADIENT_FIRST_COLOR @"first Color"
#define GRADIENT_FIRST_LISTEN_TO_TOOLBAR @"first listen to toolbar"

#define GRADIENT_SECOND_Y @"second Y"
#define GRADIENT_SECOND_FROM_TOP @"second from top"
#define GRADIENT_SECOND_COLOR @"second Color"
#define GRADIENT_SECOND_LISTEN_TO_TOOLBAR @"second listen to toolbar"


@interface BXPolishedMetalWindow : NSWindow {

	NSMutableArray* gradientRectArray;
}

- (NSImage*) polishedBackgroundWithFrame:(NSRect)frameRect;
+ (void) fillRectWithVerticalGradient:(NSRect)frameToFill
                             topColor:(NSColor*)topColor
                          bottomColor:(NSColor*)bottomColor;
- (void) setGradientRectArray:(NSArray*)newGradientRectArray;
- (void) drawGradienArrayInFrame:(NSRect)frameToFill;
- (void) addGradientFirstY:(CGFloat)firstY 
              firstFromTop:(BOOL)firstFromTop 
                firstColor:(NSColor*)firstColor 
      firstListenToToolbar:(BOOL)firstListenToToolbar
                   secondY:(CGFloat)secondY 
             secondFromTop:(BOOL)secondFromTop
               secondColor:(NSColor*)secondColor
     secondListenToToolbar:(BOOL)secondListenToToolbar;
- (NSMutableArray*) gradientRectArray;
- (void) initGradientArrayWithDefaults;
- (void) frameChanged:(NSNotification *)notification;
- (void) setBackGroundPatternForFrame:(NSRect)backgroundFrame;

@end
