/******************************************************************************************************

	BXProgressSheet.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grnwald			
					Germany					
	
					Copyright  2006 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Displays generic progress panels as sheet...


	
/******************************************************************************************************
	BXProgressSheet
 ******************************************************************************************************/

	#pragma mark
	
	@interface BXProgressSheet : NSWindowController
	{
		IBOutlet NSPanel* _progressSheet;
		IBOutlet NSProgressIndicator* _progressBar;
		IBOutlet NSTextField* _titleField;
		IBOutlet NSTextField* _detailField;
		
		NSString* _titleString;
		NSString* _detailString;
		BOOL _indeterminate;
		double _minValue;
		double _value;
		double _maxValue;
	}

	#pragma mark
	
	+ (BXProgressSheet*) sharedProgressSheet;
	+ (BXProgressSheet*) progressSheetWithTitle:(NSString*)inTitle;
	- (id) initWithTitle:(NSString*)inTitle;
	
	- (void) setTitleString:(NSString*)inTitle;
	- (NSString*) titleString;

	- (void) setDetailString:(NSString*)inDetailInfo;
	- (NSString*) detailString;

	- (void) setIndeterminate:(BOOL)inIndeterminate;
	- (BOOL) isIndeterminate;

	- (void) setMinValue:(double)inMinValue;
	- (double) minValue;
		
	- (void) setValue:(double)inValue;
	- (double) value;
		
	- (void) setMaxValue:(double)inMaxValue;
	- (double) maxValue;
		
	- (void) show;
	- (void) beginSheetForWindow:(NSWindow*)inWindow;
	- (void) endSheet;
	- (void) display;

	@end



/******************************************************************************************************/
