//
//  BXTranslucentView.h
//  SchattenLicht
//
//  Created by Michael Ehrmann on 19.01.06.
//  Copyright 2006 Boinx Software. All rights reserved.
//

// #import <Cocoa/Cocoa.h> //Imported in PrefixHeader

/** Provides a translucent NSView subclass */
@interface BXTranslucentView : NSView {

    NSColor *_backgroundColor;
    NSColor *_borderColor;
    NSNumber *_borderSize;

    BOOL _drawBorder;
	BOOL _drawTopBorder;
	BOOL _drawRightBorder;
	BOOL _drawBottomBorder;
	BOOL _drawLeftBorder;
}

- (void) setDefaultValues;

/** the getter corresponding to setBackgroundColor.
    @result returns value for backgroundColor */
- (NSColor *) backgroundColor;
   
/** sets backgroundColor to the param.
    @param newBackgroundColor */
- (void) setBackgroundColor: (NSColor *) newBackgroundColor;


/** the getter corresponding to setBorderColor.
    @result returns value for borderColor */
- (NSColor *) borderColor;

/** sets borderColor to the param
    @param newBorderColor */
- (void) setBorderColor: (NSColor *) newBorderColor;


/** the getter corresponding to setDrawBorder
    @result returns value for drawBorder */
- (BOOL) drawBorder;

/** sets drawBoder to the param
    @param flag */
- (void) setDrawBorder: (BOOL) flag;


- (BOOL) drawTopBorder;
- (void) setDrawTopBorder: (BOOL) flag;

- (BOOL) drawRightBorder;
- (void) setDrawRightBorder: (BOOL) flag;

- (BOOL) drawBottomBorder;
- (void) setDrawBottomBorder: (BOOL) flag;

- (BOOL) drawLeftBorder;
- (void) setDrawLeftBorder: (BOOL) flag;


/** the getter corresponding to setBorderSize
    @result returns value for the borderSize */
- (NSNumber *)borderSize;

/** sets borderSize to the param
    @param newBorderSize */
- (void)setBorderSize:(NSNumber *)newBorderSize;

@end
