/******************************************************************************************************

	PBWidgetView.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grnwald			
                    Germany					
	
	Description:	This view draws a "window-like" widget
					
					Copyright  2004 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// This view draws a "window-like" widget...


	
/******************************************************************************************************
	HISTORY
 ******************************************************************************************************/

	#pragma mark HISTORY

	/*
		$Log: PBWidgetView.h,v $
		Revision 1.4  2005/03/22 17:21:32  michael
		Changed additional protocols for tiger to informal protocals (private categories)
		
		Revision 1.3  2005/03/21 18:18:48  peter
		Changes for Tiger
		
		Revision 1.2  2004/12/02 17:51:33  peter
		Improved version of PBWidgetView
		
		Revision 1.1  2004/12/02 13:00:27  peter
		Added new class
		
	*/



/******************************************************************************************************
	CONSTANTS
 ******************************************************************************************************/

	#pragma mark CONSTANTS
	
	enum DragMode
	{
		kDragModeNone,
		kDragModeMove,
		kDragModeAdjustL,
		kDragModeAdjustR,
		kDragModeAdjustT,
		kDragModeAdjustB,
		kDragModeAdjustTL,
		kDragModeAdjustTR,
		kDragModeAdjustBL,
		kDragModeAdjustBR,
		kDragModeClosing
	};



/******************************************************************************************************
	PBWidgetView
 ******************************************************************************************************/

	#pragma mark
	@interface PBWidgetView : NSView
	#pragma mark
	{
		// Drawing...
		
		CGFloat _titleBarHeight;
		CGFloat _marginWidth;
		CGFloat _cornerRadius;

		NSColor* _marginColor;
		NSColor* _titleColor;
		NSColor* _contentColor;
		NSString* _titleString;
		NSImage* _closeBoxImage;
		
		// Event handling...
		
		NSPoint _mouseDownLocation;
		NSRect _mouseDownFrame;
		NSInteger _dragMode;
		
		NSRect _closeBoxRect;
		bool _closeBoxClicked;
		
		// Delegate...
		
		IBOutlet id _delegate;
	}

	// Configuration...
	
	- (void) setTitleBarHeight:(CGFloat)inHeight;
	- (CGFloat) titleBarHeight;

	- (void) setMarginWidth:(CGFloat)inWidth;
	- (CGFloat) marginWidth;

	- (void) setCornerRadius:(CGFloat)inRadius;
	- (CGFloat) cornerRadius;

	- (void) setMarginColor:(NSColor*)inColor;
	- (NSColor*) marginColor;

	- (void) setTitleColor:(NSColor*)inColor;
	- (NSColor*) titleColor;

	- (void) setContentColor:(NSColor*)inColor;
	- (NSColor*) contentColor;

	- (void) setTitle:(NSString*)inString;
	- (NSString*) title;

	- (void) setDelegate:(id) inDelegate;
	- (id) delegate;

	// Actions...
	
	- (IBAction) close:(id) sender;

	@end


/******************************************************************************************************/


