/******************************************************************************************************

	UAnimation.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grnwald			
					Germany					
	
					Copyright  2007 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// A collection of macros and C++ helper classes for animating UI using Core Animation...


	
/******************************************************************************************************
	INCLUDES
 ******************************************************************************************************/

	#pragma mark INCLUDES
	
//	#import "BXDisclosureView.h"



/******************************************************************************************************
	MACROS
 ******************************************************************************************************/

	#pragma mark MACROS
	#pragma mark 
	
	// This inline function returns a proxy object for animating a view. If Core Animation is not 
	// available the view itself will be returned, and thus no animation will be performed...
	
	inline id ANIMATOR(NSView* inView)
	{
		#if MAC_OS_X_VERSION_MAX_ALLOWED > MAC_OS_X_VERSION_10_4
	
		BOOL wantsAnimation = NO;
		NSView* view = inView;
		
		while (view)
		{
			if ([view respondsToSelector:@selector(wantsLayer)])
			{
				if ([view wantsLayer])
				{
					wantsAnimation = YES;
					break;
				}
			}	
			
			view = [view superview];
		}
		
		if (wantsAnimation && [inView respondsToSelector:@selector(animator)])
		{
			return [inView animator];
		}
		
		#endif
		
		return inView;
	}


	// We consider a view to be animated (layer backed) if its animator proxy is different from
	// the view itself...
	
	inline BOOL ISANIMATED(NSView* inView)
	{
		return ANIMATOR(inView) != inView;
	}



/******************************************************************************************************
	StAnimationGroup
 ******************************************************************************************************/

	#pragma mark 

	class StAnimationGroup
	{
		public:
		
			StAnimationGroup(double inDuration,BOOL inSpinRunloop=NO);
			~StAnimationGroup();
			
//			static id GetAnimationContext();
			double GetDuration();
						
		protected: 
		
			double _duration;
			BOOL _spinRunloop;
	};		
	
	
	
/******************************************************************************************************
	StAutoResizingMask
 ******************************************************************************************************/

	#pragma mark 

	class StAutoResizingMask
	{
		public:
		
			StAutoResizingMask(NSView* inParentView,NSUInteger inTmpMask);
			~StAutoResizingMask();
			
		protected: 
		
			NSMutableArray* _subviews;	
			NSMutableArray* _oldMasks;	
	};	
	
		
				
/******************************************************************************************************/
