/*
 
 Owner: Michael Ehrmann, michael@boinx.com
 Company: Boinx Software Ltd., Germany
 
 Abstract: Public framework header file for BXBase.
 
*/


#define BX_SUPPRESS_DEPRECATION_WARNINGS_WITHOUT_SUITABLE_REPLACEMENTS 1

// All common macros
#import <BXBase/BXCommonProtocols.h>
#import <BXBase/BXMacros.h>


// Objects
#import <BXBase/BXObjectRegistry.h>
#import <BXBase/BXObserverHelper.h>
#import <BXBase/NSObject_PerformDeferred.h>


// Strings
#import <BXBase/NSString_Affixes.h>
#import <BXBase/NSString_Email.h>
#import <BXBase/NSString_MacAddress.h>
#import <BXBase/NSString_MD5.h>
#import <BXBase/NSString_Regex.h>
#import <BXBase/NSString_UUID.h>
#import <BXBase/NSString_BXCompare.h>
#import <BXBase/NSString_Ptr.h>
#import <BXBase/NSString_Whirlpool.h>
#import <BXBase/NSString_VersionCheck.h>


// Files
#import <BXBase/NSArray_MovieAndImagePaths.h>
#import <BXBase/BXPathUtils.h>
#if defined(__cplusplus)
#import <BXBase/UPath.h>
#endif


// Timer
#import <BXBase/BXUTimer.h>


// Events 
#import "NSEvent_ModifierState.h"
#import "NSApplication_CurrentEventModifierState.h"


// Threading
#import <BXBase/BXMainThread.h>
#import <BXBase/BXMutableArray.h>
#import <BXBase/BXMutableDictionary.h>
#import <BXBase/BXBackgroundThread.h>


// Logging
#import <BXBase/BXLog.h>


// Exception handling
#import <BXBase/BXException.h>
#if defined(__cplusplus)
#import <BXBase/UException.h>
#endif


// Environment
#import <BXBase/BXConsole.h>
#import <BXBase/BXSystemProfiler.h>
#if defined(__cplusplus)
#import <BXBase/UEnvironment.h>
#endif
#import <BXBase/NSScreen_BXQuartzExtreme.h>


// Image manipulation
#import <BXBase/BXImageUtils.h>
#import <BXBase/BXCIFilterUtils.h>
#import <BXBase/NSImage_vImageSupport.h>
#import <BXBase/NSBitmapImageRep_vImageSupport.h>
#import <BXBase/vImage_utilities.h>
#import <BXBase/BXBitmapContext.h>


// Bundle support
#import <BXBase/BXPlistLocalizer.h>
#import <BXBase/BXMutableInfoPlist.h>
#import <BXBase/BXMutableExecutable.h>


// Networking
#import <BXBase/BXHTTPPost.h>
#import <BXBase/NSURL_Reachability.h>


// Version testing
#import <BXBase/BXAppVersionUtils.h>


// Application categories
#import <BXBase/NSApplication_Relaunch.h>
#import <BXBase/NSApplication_Prerelease.h>
#import <BXBase/NSApplication_Runtime.h>
#import <BXBase/NSApplication_CrashReport.h>
#import <BXBase/NSApplication_InfoDictionary.h>
#import <BXBase/NSApplication+BXApplicationSupport.h>
#import <BXBase/BXLaunchCounter.h>

// Boinx vCard
#import <BXBase/BX_VCard.h>
