/******************************************************************************************************

	BXMutableExecutable.h

 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grünwald			
					Germany					
	
					Copyright © 2007 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Convenience class that lets you modify executable files inside bundles (if writable)...


	
/******************************************************************************************************
	BXMutableExecutable
 ******************************************************************************************************/

	#pragma mark
	
	@interface BXMutableExecutable : NSObject
	{
		NSURL* _url;
		NSMutableData* _data;
	}

	// Structors...
	
	+ (BXMutableExecutable*) mutableExecutableWithBundleAtPath:(NSString*)inPath executableName:(NSString*)inName;
	+ (BXMutableExecutable*) mutableExecutableWithBundleAtURL:(NSURL*)inURL executableName:(NSString*)inName;
	+ (BXMutableExecutable*) mutableExecutableWithExecutableAtURL:(NSURL*)inURL;
	
	- (id) initWithBundleAtPath:(NSString*)inPath executableName:(NSString*)inName;
	- (id) initWithBundleAtURL:(NSURL*)inURL executableName:(NSString*)inName;
	- (id) initWithExecutableAtURL:(NSURL*)inURL;

	// Mutators...
	
	- (BOOL) replaceString:(NSString*)inOldString withString:(NSString*)inNewString;
	- (BOOL) commit;
	
	@end



/******************************************************************************************************/
