/******************************************************************************************************

	BXMutableInfoPlist.h

 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grünwald			
					Germany					
	
					Copyright © 2007 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Convenience class that lets you modify Info.plist files inside bundles (if writable)...


	
/******************************************************************************************************
	BXMutableInfoPlist
 ******************************************************************************************************/

	#pragma mark
	
	@interface BXMutableInfoPlist : NSObject
	{
		NSURL* _url;
		NSMutableDictionary* _plist;
	}

	// Structors...
	
	+ (BXMutableInfoPlist*) mutableInfoPlistWithBundleAtPath:(NSString*)inPath;
	+ (BXMutableInfoPlist*) mutableInfoPlistWithBundleAtURL:(NSURL*)inURL;
	
	- (id) initWithBundleAtPath:(NSString*)inPath;
	- (id) initWithBundleAtURL:(NSURL*)inURL;

	// Mutators...
	
	- (void) setValue:(id)inValue forKey:(NSString*)inKey;
	- (id) valueForKey:(NSString*)inKey;
	- (BOOL) commit;
	
	@end



/******************************************************************************************************/
