/******************************************************************************************************

	BXObserverHelper.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grünwald			
					Germany					
	
					Copyright © 2006 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// This class provides convenience functions for setting up KVO connections, and automatically
	// cleans up all connections when the helper object is deallocated...


	
	#pragma mark

/******************************************************************************************************
	BXObserverHelper
 ******************************************************************************************************/

	@interface BXObserverHelper : NSObject
	{
		id _observingObject;
		NSMutableArray* _kvoObservers;
	}
	
	- (id) initWithObservingObject:(id)inObservingObject;
	- (void) observeKeyPath:(NSString*)inKeyPath ofObject:(id)inObservedObject context:(void*)inContext;
	- (void) observeKeyPath:(NSString*)inKeyPath ofObject:(id)inObservedObject context:(void*)inContext options:(NSKeyValueObservingOptions)inOptions;
	- (void) cleanup;
	- (void) cleanupKVO;
	
	@end


	
/******************************************************************************************************/
