//
//  NSApplication_Relaunch.h
//  BXBase
//
//  Created by Florian Albrecht on 31.07.06.
//  Copyright 2006 Boinx Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSApplication (Relaunch)

/*!
    @method     relaunch
    @abstract	will restart the current application via shell after terminating it 
    @discussion watches for the PID to go away before starting the app given the path 
*/
- (void) relaunch;


/*!
    @method     relaunchUsingLocalization:
    @abstract	will restart the current application via shell after terminating it 
    @discussion watches for the PID to go away before starting the app given the path 
    @argument	sender	call this from a menu item that contains the Language name as title
 */
- (void) relaunchUsingLocalization:(id)sender;
- (void) removeLocalizationPreference:(id)sender;


/*!
	@method     relaunchUsingLocalization:
	@abstract	will restart the current application via shell after terminating it 
	@discussion watches for the PID to go away before starting the app given the path 
	@argument	sender	call this from a menu item that contains the Locale (eg. de_DE) name as title
*/
- (void) relaunchUsingLocale:(id)inSender;
- (void) removeLocalePreference:(id)inSender;

@end
