//
//  NSImage_vImageSupport.h
//  BXBase
//
//  Created by Nicholas Shanks on 19/09/2007.
//  Copyright 2007 Boinx. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Accelerate/Accelerate.h>

@interface NSImage (vImageSupport)

- (NSBitmapImageRep *)biggestBitmapImageRep;
- (NSImageRep *)biggestImageRepConsideringBitmapRepsOnly:(BOOL)onlyBitmaps;
- (NSSize)pixelSize;
- (double)pixelAspectRatio;

- (NSImage *)flippedImageWithOrientation:(NSInteger)orientation;
- (NSImage *)croppedImageFromRect:(NSRect)cropRect;
- (NSImage *)scaledImageWithSize:(NSSize)size;
- (NSImage *)scaledAndCroppedImageWithSize:(NSSize)newSize centered:(BOOL)centered;
- (NSBitmapImageRep *)create32BitNSBitmapImageRepAndPrepareForVImageOperations:(BOOL)permute NS_RETURNS_RETAINED;

@end
