/******************************************************************************************************

	UEnvironment.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Mail: peter@baumgartner.com
					
					Copyright © 2005 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Check runtime environment for various features...


	
/******************************************************************************************************
	CONSTANTS
 ******************************************************************************************************/

	#pragma mark CONSTANTS
	
	#define kVersionJaguar	0x1020
	#define kVersionPanther	0x1030
	#define kVersionTiger	0x1040
	#define kVersionLeopard	0x1050

	#define kVersionQT6		0x06000000
	#define kVersionQT7		0x07000000

	
/******************************************************************************************************
	UEnvironment
 ******************************************************************************************************/

	#pragma mark

	class UEnvironment
	{
		public:
		
			// System Version...
			
			static long SystemVersion();
			static bool RunningOnSystem(long inVersion);
			
			static bool RunningOnJaguarOrBetter();
			static bool RunningOnPantherOrBetter();
			static bool RunningOnTigerOrBetter();
			static bool RunningOnLeopardOrBetter();

			// QuickTime Version...
			
			static long QuickTimeVersion();
			
			// API Availability...
			
			static bool HasFramework(NSString* inIdentifier);
			static bool HasClass(NSString* inClassName);
			static bool ClassHasMethod(Class inClass,SEL inSelector);
			static bool ObjectHasMethod(id inObject,SEL inSelector);
	};




/******************************************************************************************************/
