/*
 *  vImage_utilities.h
 *  BXBase
 *
 *  Created by Nicholas Shanks on 19/09/2007.
 *  Copyright 2007 Boinx. All rights reserved.
 *
 */

#import <Accelerate/Accelerate.h>

typedef enum
{
	vImage_ARGB,
	vImage_RGBA
}	vImage_BufferFormat;

typedef enum
{
	vImage_RGBA_to_ARGB,
	vImage_ARGB_to_RGBA
}	vImage_PermuteOperation;

enum
{
	kvImageUnknownBufferFormat          =	-22776,
	kvImageUnknownPermuteOperation      =	-22777
};

vImage_Error vImagePermuteChannelsInPlace(vImage_Buffer *vImage, vImage_PermuteOperation operation);
vImage_Error vImageFillWithAlpha(vImage_Buffer *vImage, vImage_BufferFormat format, uint8_t alpha);
vImage_Error vImageFillWithColor(vImage_Buffer *vImage, vImage_BufferFormat format, uint8_t red, uint8_t green, uint8_t blue, uint8_t alpha);
