/******************************************************************************************************

	BXQuickTimeAtom.h

******************************************************************************************************

	Author:			Michael Ehrmann			michael@boinx.com		
					Peter Baumgartner       peter@boinx.com
					Achim Breidenbach       achim@boinx.com

	Copyright:		© 2006 by Boinx Software - All Rights Reserved
					© 2006 by IMAGINE GbR - All Rights Reserved

******************************************************************************************************/

#if !defined(__LP64__) || !__LP64__

/******************************************************************************************************
	READ ME
******************************************************************************************************/

#pragma mark READ ME

	// This class is a Objective-C wrapper for QTAtomContainers.


/******************************************************************************************************
	INCLUDES
******************************************************************************************************/

#pragma mark INCLUDES

#include <Carbon/Carbon.h>
#include <QuickTime/ImageCompression.h>
#include <QuickTime/QuickTimeComponents.h> 

/******************************************************************************************************
	INTERFACE
******************************************************************************************************/

@interface BXQuickTimeAtom : NSObject {

	@private
	QTAtomContainer _atomContainer;

	BOOL _handleAtomContainerMemory;
}

+ (void) logAtomContainer:(QTAtomContainer)atomContainer 
			   parentAtom:(QTAtom)parentAtom 
			 currentChild:(QTAtom)currentChild 
					depth:(NSString *) depth;

- (id) initWithQTAtomContainer:(QTAtomContainer)inAtomContainer;
- (id) initWithQTAtomContainerData:(NSData *)inAtomContainerData;

- (NSData *) getData;

- (int) width;
- (void) setWidth:(int)newWidth;

- (int) height;
- (void) setHeight:(int)newHeight;

- (double) frameRate;
- (void) setFrameRate:(double)newFrameRate;

- (NSString *) codecName;

@end

#endif