/*

 Owner: Michael Ehrmann <michael@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXQuickTime

 Abstract: Category on QTKits QTMovie to add a audio volume tween track for a adio track.

 Related: Apples demo code QT_SndTween.c

 Note: Code was taken from FM on 25.02.2009 written by Peter and Stephan
 
 */

#import <QTKit/QTKit.h>

extern NSString * const QTAudioVolumeTweenEnvelopeTimeKey; // unit seconds (double)
extern NSString * const QTAudioVolumeTweenEnvelopeVolumeKey; // range [0.0-1.0] (double)

@interface QTMovie (AudioVolumeTweenTrack)

- (BOOL)addTweenForAudioTrack:(QTTrack *)inAudioTrack volumeEnvelope:(NSArray *)inVolumeEnvelope error:(NSError **)outError;

@end
