/******************************************************************************************************

	StBitmapContext.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		peter@baumgartner.com
	
	Copyright:		� 2005-2006 by IMAGINE GbR - All Rights Reserved

 ******************************************************************************************************/

#if !__LP64__

 /******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Creates a temporary CGContextRef wrapped around a externally supplied buffer. If you supply
	// a NULL pointer for the buffer. The class will allcoate its own buffer and dispose of it
	// in the destructor...


	
/******************************************************************************************************
    INCLUDES
 ******************************************************************************************************/

	#pragma mark INCLUDES
	
	#import <Carbon/Carbon.h>
	#import <Cocoa/Cocoa.h>


	
	#pragma mark

 /******************************************************************************************************
	StBitmapContext
 ******************************************************************************************************/

	class StBitmapContext
	{
		// Structors...
			
		public:
		
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wdeprecated-declarations"
			StBitmapContext( UInt8* inBuffer,
							 int inWidth,
							 int inHeight,
							 int inRowBytes,
							 CMProfileRef inProfile=NULL );
							 
			~StBitmapContext();
#pragma clang diagnostic pop

		// Accessors...
			
		public:
		
			UInt8* GetBuffer() const;
			int GetWidth() const;
			int GetHeight() const;
			int GetRowBytes() const;
		
			CGColorSpaceRef GetColorSpace() const;
			operator CGColorSpaceRef() const;
		
			CGContextRef GetContext() const;
			operator CGContextRef() const;

			void SavePNG(NSString* inPath);
			void EraseToColor(NSColor* inColor);
			
		// Datafields...
			
		protected:
		
			UInt8* _buffer;
			bool _ownsBuffer;
			int _width;
			int _height;
			int _rowBytes;
			CGColorSpaceRef _colorspace;
			CGContextRef _context;
	};



/******************************************************************************************************/

#endif // !_LP64
