/******************************************************************************************************

	StGWorld.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		peter@baumgartner.com
	
	Copyright:		� 2005-2006 by IMAGINE GbR - All Rights Reserved

 ******************************************************************************************************/

#if !__LP64__
#if defined (MAC_OS_X_VERSION_10_6) && MAC_OS_X_VERSION_MAX_ALLOWED <= MAC_OS_X_VERSION_10_6

 /******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Creates a temporary GWorld wrapped around a externally supplied buffer. If you supply
	// a NULL pointer for the buffer. The class will allcoate its own buffer and dispose of it
	// in the destructor...


	
/******************************************************************************************************
    INCLUDES
 ******************************************************************************************************/

	#pragma mark INCLUDES
	
	#import <Carbon/Carbon.h>
	#import <QuickTime/QuickTime.h>


	
	#pragma mark

 /******************************************************************************************************
	StGWorld
 ******************************************************************************************************/

	class StGWorld
	{
		// Structors...
			
		public:
		
			StGWorld(UInt8* inBuffer,int inWidth,int inHeight,OSType inPixelFormat=k32ARGBPixelFormat);
			~StGWorld();
			void Dispose();

		// Accessors...
			
		public:
		
			UInt8* GetBuffer() const;
			int GetWidth() const;
			int GetHeight() const;
			int GetRowBytes() const;
			GWorldPtr GetGWorld() const;
			ImageDescriptionHandle GetImageDescription() const;

			operator GWorldPtr() const;
			operator ImageDescriptionHandle() const;

		// Datafields...
			
		protected:
		
			UInt8* _buffer;
			bool _ownsBuffer;
			int _width;
			int _height;
			int _rowBytes;
			GWorldPtr _gworld;
			ImageDescriptionHandle _imageDescription;
	};



/******************************************************************************************************/

#endif
#endif // !_LP64
