/******************************************************************************************************

	StNamedLock.h
	
 ******************************************************************************************************

	Author:			Michael Ehrmann			michael@boinx.com		
	
	Copyright:		© 2005-2006 by Boinx Software - All Rights Reserved

 ******************************************************************************************************/

#if !__LP64__

 /******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// This stack based class ensures thread safe access to non-thread-safe APIs like QuickTime. 
	// Just put an object with a name on the stack, and as long as this object is alive, no
	// on other thread can lock with the same name. The different names let you create different
	// types of locks (which could be useful when you are sure that certain APIs are completely
	// independent of each other)...


	
/******************************************************************************************************
    INCLUDES
 ******************************************************************************************************/

	#pragma mark INCLUDES
	
	#import <Carbon/Carbon.h>
	#import <Cocoa/Cocoa.h>


	
	#pragma mark

 /******************************************************************************************************
	StNamedLock
 ******************************************************************************************************/


	class StNamedLock
	{
		// Structors...
			
		public:

			StNamedLock(NSString* inLockName);
			virtual ~StNamedLock();

		// Datafields...
			
		protected:

			static NSMutableDictionary* sLocks;
			NSRecursiveLock* mLock;
	};


/******************************************************************************************************/

#endif // !_LP64
