/******************************************************************************************************

	UQuickTimeImage.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		peter@baumgartner.com
					Achim Breidenbach		achim@boinx.com
					Michael Ehrmann			michael@boinx.com		
	
	Copyright:		© 2005-2006 by IMAGINE GbR - All Rights Reserved
					© 2005-2006 by Boinx Software - All Rights Reserved

 ******************************************************************************************************/

#if !__LP64__

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Provides thread-safe access to some QT-Image functions...
	


/******************************************************************************************************
	INCLUDES
 ******************************************************************************************************/

	#pragma mark INCLUDES	
	
	#import <Carbon/Carbon.h>
	#import <Cocoa/Cocoa.h>
	#import <QuickTime/QuickTime.h>


	
/******************************************************************************************************
	UQuickTimeImage
 ******************************************************************************************************/

	#pragma mark

	class UQuickTimeImage
	{
		public:
		
			static bool CanOpenImageFile(const NSString* inFile);
			static OSStatus GetImageSize(NSString* inFile,long* outWidth,long* outHeight);
			
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wdeprecated-declarations"
		
			static OSStatus LoadImageFile(		NSString* inFile,
												UInt8* inBuffer,
												long inBufferWidth,
												long inBufferHeight,
												float r, float g, float b, float a,
												CMProfileRef inProfile=NULL );

			static OSStatus LoadImageFileJPEG(	NSString* inFile,
												UInt8* inBuffer,
												long inBufferWidth,
												long inBufferHeight,
												float r, float g, float b, float a,
												CMProfileRef inProfile=NULL );
												
			static OSStatus LoadImageFilePNG(	NSString* inFile,
												UInt8* inBuffer,
												long inBufferWidth,
												long inBufferHeight,
												float r,float g,float b,float a,
												CMProfileRef inProfile=NULL );
												
			static OSStatus LoadImageFileQT(	NSString* inFile,
												UInt8* inBuffer,
												long inBufferWidth,
												long inBufferHeight,
												float r, float g, float b, float a,
												CMProfileRef inProfile=NULL );
	};

#pragma clang diagnostic pop


/******************************************************************************************************/

#endif // !_LP64
