/*

 Owner: Stefan Neumärker <stefan@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXServices

 Abstract: Handles URLs for Sparkle Appcast. Loads URLs from online defaults, sets the appropriate one to user prefs. Supports Pref Pane, too.	

 Related: <#related#>

 Documentation: <#link to documentation#>

 */

	
// #define APPCAST_DEBUG   // appcast feed is set to sparkle.boinx.com/appcast_dev.lasso with SUAutomaticallyUpdate and hourly refresh


extern NSString * const BXSoftwareUpdateCheckIntervalKey;
extern NSString * const BXSoftwareUpdateCheckBetaVersionKey;

extern NSString * const SparkleFeedURL;
extern NSString * const SparkleScheduledCheckInterval;
extern NSString * const SparkleSendSystemProfile;


@interface BXAppcastController : NSObject
{
	BOOL _usingSparklePlus;
	
	NSString *_finalAppcastURL;
	NSString *_betaAppcastURL;
	NSString *_nightlyAppcastURL;
	NSString *_sparklePlusAppcastURL;
	
	id _delegate;
}

+ (id)sharedControllerWithDelegate:(id)inDelegate;

- (id)initWithDelegate:(id)inDelegate;

- (void)setCurrentAppcastURL;

#pragma mark Accessors
- (NSString *)finalAppcastURL;
- (void)setFinalAppcastURL:(NSString *)inURLString;

- (NSString *)betaAppcastURL;
- (void)setBetaAppcastURL:(NSString *)inURLString;

- (NSString *)nightlyAppcastURL;
- (void)setNightlyAppcastURL:(NSString *)inURLString;

- (NSString *)sparklePlusAppcastURL;
- (void)setSparklePlusAppcastURL:(NSString *)inURLString;

@end
