/*
 
 Owner: michael@boinx.com
 Company: Boinx Software Ltd., Germany
 
 Abstract: Protocol a class has to conform that BXAssistantPaneController can read the .plist file describing the configuration of the assistant. 
 
 Related:	BXAssistantController.h
			BXAssistantPaneProviderProtocol.h
			BXAssistantPaneProvider.h
			BXAssistantPaneProtocoll.h
			and its subclasses for all the assistants
 
 Documentation : Documentation/assistant_panes.html
 
 */

@protocol BXAssistantPaneProviderProtocol

+ (NSString*) assistantPanesConfigFileName;
+ (NSArray*) assistantPanes;

@end