//
//  BXBetaController.h
//  BXServices
//
//  Created by Florian Albrecht on 22.12.06.
//  Copyright 2006 Boinx Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BXBetaController : NSObject {

	NSString * _betaMessageTitle;
	NSString * _betaMessageMessage;
	NSDate * _expirationDate;
	BOOL _delayedAlert;
	BOOL _showFeedbackAlert;
	
	BOOL _isSeeding;
}

+ (void)localize;

+ (id)sharedController;
+ (BOOL)isBetaControllerRunning;

- (void)expireOn:(NSString*)inDateString;
- (void)expireOn:(NSString*)inDateString automaticAlert:(BOOL)showAlert;
- (void)expireOn:(NSString*)inDateString automaticAlert:(BOOL)showAlert delayed:(BOOL)delayed;
- (void)expireOn:(NSString*)inDateString automaticAlert:(BOOL)showAlert delayed:(BOOL)delayed nagForFeedback:(BOOL)showFeedbackAlert;

- (void)startWithBetaMessageTitle:(NSString*)inTitle message:(NSString*)inMessage;

- (BOOL)expirationDatePassed:(NSDate*)inDate;

- (NSString *)appName;
- (NSString *)appVersion;

- (void)displayAutomaticBetaAlert:(NSNotification *)notification;
- (void)displayBetaAlert:(NSNotification *)notification;

//- (void)displayAutomaticFeedbackAlert:(NSNotification *)notification;

- (NSURL *)betaFeedbackURL;

//#pragma mark Accessors
//- (BOOL)isSeeding;
//- (void)setIsSeeding:(BOOL)inFlag;

@end
