//
//  BXNoLicenseController.h
//  Boinx Services Framework
//
//  Created by Michael Ehrmann on Thu Apr 05 2004.
//  Copyright (c) 2004 GeBE Computer & Peripherie GmbH. All rights reserved.
//

extern NSString* const BXNoLicenseWindowGetLicenseClickedNotification;
extern NSString* const BXNoLicenseWindowGetDemoLicenseClickedNotification;
extern NSString* const BXPreferencePaneShouldOpenToRegisterLicenseNotification;

@interface BXNoLicenseController : NSWindowController
{
	IBOutlet NSPanel *windowDesign1;
	IBOutlet NSTextField *windowDesign1TextField;
    IBOutlet NSButton *windowDesign1Button1;
    IBOutlet NSButton *windowDesign1Button2;
	
	IBOutlet NSPanel *windowDesign2;
	IBOutlet NSTextField *windowDesign2TextField;
    IBOutlet NSButton *windowDesign2Button1;
    IBOutlet NSButton *windowDesign2Button2;
	
	IBOutlet NSPanel *windowDesign3;
	IBOutlet NSTextField *windowDesign3TextField;
    IBOutlet NSButton *windowDesign3Button1;
    IBOutlet NSButton *windowDesign3Button2;
	
	IBOutlet NSView *upperBackgroundView;
	IBOutlet NSView *lowerBackgroundView;
	
	NSString *panelTitle;
	NSString *panelText;
}

- (void) registerForNotifications;
- (void) unregisterForNotifications;

- (IBAction) buyLicense:(id)sender;
- (IBAction) getDemoLicense:(id)sender;
- (IBAction) quitApplication:(id)sender;
- (IBAction) registerLicense:(id)sender;

- (void) movePanelToLowerRight;
- (void) licenseListChanged:(NSNotification*)notification;

- (void) updatePanelTitle;
- (void) updatePanelText;

- (NSString *)panelTitle;
- (void)setPanelTitle:(NSString *)newPanelTitle;

- (NSString *) panelText;
- (void) setPanelText:(NSString *)newPanelText;

@end
