/*

 Owner: Michael Ehrmann	<michael@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXServices, BXReadMeViewer
 Abstract: Creates a segment controller and loads the read me texts into the textview, depending on the information provided in ReadMeFile.plist. 

 Related: 

 Documentation: 

 */


#import <Cocoa/Cocoa.h>

#define kBXReadMeDictFileName @"ReadMeFiles"
#define kBXReadMeDictFileExtension @"plist"

#define TOOLBAR_DOCUMENT @"Document"

@class WebView;

@interface BXReadMeWindowController : NSWindowController {
    IBOutlet NSTextView* textView;
    IBOutlet WebView* webView;
    
    IBOutlet NSScrollView* textScrollView;
    IBOutlet NSButton* popupButton;
    
    IBOutlet NSSegmentedControl* segmentedControl;
    
    NSDictionary *fileList;
    NSArray *_fileDescriptions;
    NSArray *orderedFileNames;
    
    NSMutableDictionary *toolbarItems;
    IBOutlet id toolbarDocumentView;
}

+ (id)defaultController;

- (void)awakeFromNib;
- (void)initFileList;

- (IBAction)selectDocument:(id)sender;

- (void) displayTextView;
- (void) displayWebView;

# pragma mark Toolbar

- (void) initToolbar;
- (void) addViewToolbarItemWithIdentifier:(NSString*)itemIdentifier
                              displayName:(NSString*)itemDisplayName
                                  toolTip:(NSString*)itemToolTip
                                 itemView:(NSView*)itemView;



@end
