//
//  BXSalesAssistantSession.h
//  BXServices
//
//  Created by Michael Ehrmann on 27.02.07.
//  Copyright 2007 Boinx Software. All rights reserved.
//

@class BXSalesConfigurationDataAccess, BXLicenseKey;


extern NSString * const kFirstNameKey;
extern NSString * const kLastNameKey;
extern NSString * const kOrganizationKey;
extern NSString * const kMailAddressKey;
extern NSString * const kMailAddressesKey;
extern NSString * const kAddBoinxToAddessBook;


@interface BXSalesAssistantSession : NSObject {
	
	@private
	BXSalesConfigurationDataAccess *_data;
	NSManagedObject *_chosenProduct;
	NSManagedObject *_chosenProductLocalisation;
	BXLicenseKey *_updateableLicenseKey;
	BOOL _requestDemo;
	
	NSMutableDictionary *_fastspringData;
}

@property (retain) NSMutableDictionary *fastspringData;

+ (id) sharedSession;
+ (void) cleanup;

- (BXSalesConfigurationDataAccess *)data;

- (NSManagedObject *)chosenProductLocalisation;

- (NSManagedObject *)chosenProduct;
- (void)setChosenProduct:(NSManagedObject *)inChosenProduct;

- (BXLicenseKey *)updateableLicenseKey;
- (void)setUpdateableLicenseKey:(BXLicenseKey *)inUpdateableLicenseKey;

- (BOOL)requestDemo;
- (void)setRequestDemo:(BOOL)inRequestDemo;

@end
